.flex-column {
  display: flex;
  flex-direction: column;
}
#fileInput {
  position: absolute;
  cursor: pointer;
  z-index: 10;
  opacity: 0;
  height: 100%;
  left: 0px;
  top: 0px;
}
.asterisk--after:after {
  content: "*";
  color: red;
}

.modal-error {
  color: red;
  font-size: 12px;
  font-family: "Open Sans", sans-serif !important;
  padding: 0;
}

.modal-note {
  color: #888;
  font-size: 12px;
  font-family: "Open Sans", sans-serif !important;
}

.full-width {
  width: 100%;
}

.green {
  color: green;
}
::ng-deep.mat-mdc-form-field-hint-wrapper,
::ng-deep.mat-mdc-form-field-error-wrapper {
  padding: 0 !important;
}
.micro-service {
  background-image: url(../../../../assets/images/ico_create_micro_service.png);
  background-repeat: no-repeat;
  background-position: center;
}

.micro-service-process-completed {
  background-image: url(../../../../assets/images/ico_create_micro_service_green.png);
  background-repeat: no-repeat;
  background-position: center;
}

.process-status-not-yet-started {
  background: url("../../../../assets/images/loading_deactive.png") no-repeat
    left center;
}

.progress-status-completed {
  background: url("../../../../assets/images/stepper_progress_completed.png")
    no-repeat left center;
}

.progress-status {
  display: inline-block;
  width: 47px;
  height: 11px;
  transform: scale(0.8);
}

.add-repository {
  background-image: url(../../../../assets/images/ico_add_to_repository.png);
  background-repeat: no-repeat;
  background-position: center;
}

.add-repository-completed {
  background-image: url(../../../../assets/images/ico_add_to_repository_green.png);
  background-repeat: no-repeat;
  background-position: center;
}

.not-yet-onboarded {
  background-image: url(../../../../assets/images/ico_not_yet_onboarded.png);
  background-repeat: no-repeat;
  background-position: center;
}

.onboarded-completed {
  background-image: url(../../../../assets/images/ico-checkmark.png);
  background-repeat: no-repeat;
  background-position: center;
}

.image-content {
  width: 62px;
  height: 62px;
  border-radius: 62px;

  border: 3px solid #fff;
  background-color: #ebebeb;
  display: inline-block;
  position: relative;
  text-align: center;
  line-height: 68px;
}

.mdc-list-item.mdc-list-item--with-one-line {
  height: 90px;
}

.flex-column {
  display: flex;
  flex-direction: column;
}

.flex-row {
  display: flex;
  flex-direction: row;
}

.header-container {
  display: flex;
  flex-direction: column;
  margin: 40px;
}

.content {
  display: flex;
  flex-direction: column;
  margin: 40px;
  width: 100%;
}

.on-boarding-form-layout {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.buttons-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 10px;
}

.on-boarding-form-container {
  display: flex;
  flex-direction: column;
  width: 50%;
}

.upload-file-container {
  display: flex;
  width: 100%;
  gap: 10px;

  mat-form-field {
    height: 70px;
  }

  button {
    height: 48px;
  }
}
